<?php
$___notjson=1;
require_once "configdops.php";
$site = str_replace("http://", "", $site);
$site = str_replace("www.", "", $site);
$site2 = str_replace("http://", "", $site2);
$site2 = str_replace("www.", "", $site2);

$refer = $_SERVER['HTTP_REFERER']; // откуда идет вызов функции
$refer = str_replace("www.", "", $refer); // вырезаем www. из реферера
$domain = substr($refer, 7, strlen($site)); // переменная $домен равна рефереру, начиная с 7 символа (т.е. http:// вырезается), с количеством символов, равным количеству символов в переменной $site
$domain2 = substr($refer, 7, strlen($site2));
if($domain == $site or $domain2 == $site2){
if(ucoz_getinfo("SITEUSERID") == $adminid) {

if ($_GET['mod'] == 'news') { 
$mod = 'news';
echo "<h2>Новости сайта</h2>";
}
if ($_GET['mod'] == 'load') { 
$mod = 'load';
echo "<h2>Каталог файлов</h2>";
}
if ($_GET['mod'] == 'stuff') { 
$mod = 'stuff';
echo "<h2>Онлайн игры</h2>";
}
if ($_GET['mod'] == 'publ') { 
$mod = 'publ';
echo "<h2>Статьи</h2>";
}
if ($_GET['mod'] == 'blog') { 
$mod = 'blog';
echo "<h2>Блог</h2>";
}


for ($i=1; $i<=count($_POST)/3; $i++) {
$title = preg_replace('/-|_/', ' ', $_POST[$i.'title']);
$stroka .= $_POST[$i.'active']. "\t" .$_POST[$i.'nazv']. "\t" .$title."\t\n";
}
file_put_contents('./configs/' . $mod . '.txt', $stroka);
echo "Успешно сохранено.";
}
}
?>